# $Revision: 1.32.2.2 $, $Date: 2008-02-20 20:03:14 $
Summary:	ksquirrel-libs - a set of image decoders
Summary(pl.UTF-8):	ksquirrel-libs - zestaw dekoderów obrazków
Name:		ksquirrel-libs
Version:	0.7.5
Release:	1
License:	LGPL v2+
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/ksquirrel/%{name}-%{version}.tar.bz2
# Source0-md5:	90726d775c612eabd19a328fe3898b0f
Patch0:		kde-ac260-lt.patch
URL:		http://ksquirrel.sourceforge.net/
BuildRequires:	OpenEXR-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6.1
BuildRequires:	freetype-devel >= 2.1.9
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	jasper-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libwmf-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	zlib-devel
Suggests:	djvulibre
Suggests:	librsvg
Suggests:	medcon
Suggests:	netpbm-progs
Suggests:	transfig
# ugly: needs DISPLAY to work
# however, ksquirrel (the only ksquirrel-libs user currently) is X-based
Suggests:	vec2web
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ksquirrel-libs is a set of image decoders.
- It contains regular libraries for KSquirrel.
- It contains different image decoders for JPEG, PNG, BMP, TIFF etc.

You can use ksquirrel-libs in other projects, just write your own
mechanism that could use libraries.

%description -l pl.UTF-8
ksquirrel-libs jest zestawem dekoderów obrazków.
- Zawiera normalne biblioteki dla KSquirrela.
- Zawiera różne dekodery obrazów: JPEG, PNG, BMP, TIFF itd.

Można używać ksquirrel-libs w innych projektach. Wystarczy tylko
napisać własny mechanizm, który będzie potrafił ich używać.

%package devel
Summary:	Header files for ksquirrel-libs
Summary(pl.UTF-8):	Nagłówki biblioteki ksquirrel-libs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for ksquirrel-libs.

%description devel -l pl.UTF-8
Nagłówki biblioteki ksquirrel-libs.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -f admin/Makefile.common cvs
%configure \
	DJVU=/usr/bin/ddjvu \
	ILBMTOPPM=/usr/bin/ilmbtoppm \
	LEAFTOPPM=/usr/bin/leaftoppm \
	MACTOPBM=/usr/bin/macptopbm \
	MEDCON=/usr/bin/medcon \
	NEOTOPPM=/usr/bin/neotoppm \
	PI1TOPPM=/usr/bin/pi1toppm \
	PI3TOPPM=/usr/bin/pi3topbm \
	PICTTOPPM=/usr/bin/picttoppm \
	UTAHTOPNM=/usr/bin/rletopnm \
	RSVG=/usr/bin/rsvg-convert \
	VEC2WEB=/usr/bin/vec2web \
	XFIG=/usr/bin/fig2dev \
	XIMTOPPM=/usr/bin/ximtoppm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/ksquirrel-libs/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README doc/html/*.{css,gif,html,png}
%attr(755,root,root) %{_bindir}/ksquirrel-libs-*
%attr(755,root,root) %{_libdir}/libksquirrel-libs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libksquirrel-libs.so.0
%attr(755,root,root) %{_libdir}/libksquirrel-libs-png.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libksquirrel-libs-png.so.0
%dir %{_libdir}/ksquirrel-libs
%attr(755,root,root) %{_libdir}/ksquirrel-libs/libkls_*.so*
%dir %{_datadir}/ksquirrel-libs
%{_datadir}/ksquirrel-libs/*.ui
%{_datadir}/ksquirrel-libs/rgbmap

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libksquirrel-libs.so
%attr(755,root,root) %{_libdir}/libksquirrel-libs-png.so
%{_libdir}/libksquirrel-libs.la
%{_libdir}/libksquirrel-libs-png.la
%{_includedir}/ksquirrel-libs
%{_pkgconfigdir}/ksquirrellibs.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksquirrel-libs.spec,v $
Revision 1.32.2.2  2008-02-20 20:03:14  glen
- fix makefile regeneration

Revision 1.32.2.1  2008-02-20 17:51:07  glen
- AC deps

Revision 1.32  2008-01-26 17:07:53  arvenil
- up to 0.7.5

Revision 1.31  2008-01-22 16:41:54  qboosh
- vec2web done

Revision 1.30  2008-01-20 13:27:44  qboosh
- BR: gettext-devel
- medcon already done

Revision 1.29  2008-01-20 01:34:06  qboosh
- removed outdated pkgconfig dir patch
- added kde-ac260-lt patch, now it links correctly
- pass utils paths to avoid BRing them
- license is LGPL (v2+)

Revision 1.28  2007-11-04 10:44:15  rotom
- up to 0.7.3

Revision 1.27  2007/10/14 16:59:10  arvenil
- added support for djvulibre, librsvg, netpbm-progs and transfig
- packaged %{_datadir}/ksquirrel-libs/*.ui
- added TODO
- "fixed" build

Revision 1.26  2007/10/04 15:52:39  shadzik
- rel 2

Revision 1.25  2007/10/04 15:07:17  shadzik
- 0.7.2
- dropped patches 1 and 2
- rel 1

Revision 1.24  2007/05/03 10:45:21  rotom
- added lost dir

Revision 1.23  2007/04/09 20:51:32  shadzik
- up to 0.7.0-pre2
- more %files

Revision 1.22  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.20  2006/06/14 03:39:28  shadzik
- up to 0.6.3
- added *.so s-links, so ksquirrel package will build

Revision 1.19  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.18  2006/04/21 08:36:54  qboosh
- removed redundant --libdir

Revision 1.17  2006/04/19 17:27:39  blekot
- updated to 0.6.2
- TODO added

Revision 1.16  2006/01/25 12:21:50  qboosh
- no *.la for plugins in -devel

Revision 1.15  2006/01/23 22:00:48  charles
- fix install to %{_pkgconfigdir}

Revision 1.14  2005/12/28 01:13:00  charles
- updated to 0.6.1
- added -devel subpackage

Revision 1.13  2005/12/22 20:28:52  blekot
- builds on amd64, rel 2.
- STBR

Revision 1.12  2005/12/22 19:41:13  blekot
- added cp -f /usr/share/automake/config.sub admin
- STBR/test on amd64

Revision 1.11  2005/12/12 04:15:34  charles
- updated to 0.6.0 final

Revision 1.10  2005/11/10 16:31:03  charles
- updated to 0.6.0-pre9
- removed obsolete -gif.patch
- updated BRs

Revision 1.9  2005/06/12 13:03:39  ankry
- tab

Revision 1.8  2005/06/12 11:49:24  qboosh
- cleanups, pl fixes

Revision 1.7  2005/06/12 11:13:37  arekm
- update files

Revision 1.6  2005/06/12 11:09:36  blekot
- new desc from README.gz

Revision 1.5  2005/06/12 10:51:28  arekm
- updates for amd64

Revision 1.4  2005/06/12 10:24:50  qboosh
- cosmetics; files need fix

Revision 1.3  2005/06/12 10:23:03  blekot
- one more fix, grrrrr

Revision 1.2  2005/06/12 10:20:52  blekot
- name fix

Revision 1.1  2005/06/12 10:17:10  blekot
- new (libraries for ksquirrel)
